[asterisk-commits] branch group/autoconf_and_menuselect r19809 - /team/group/autoconf_and_menuse...

asterisk-commits at lists.digium.com asterisk-commits at lists.digium.com
Thu Apr 13 09:13:06 MST 2006


Author: russell
Date: Thu Apr 13 11:13:05 2006
New Revision: 19809

URL: http://svn.digium.com/view/asterisk?rev=19809&view=rev
Log:
- check for the presence of aclocal, autoconf, autoheader, and automake before
  trying to use them
- redirect the errors of automake to /dev/null so that we don't have to ask
  the user to ignore them

Modified:
    team/group/autoconf_and_menuselect/bootstrap.sh

Modified: team/group/autoconf_and_menuselect/bootstrap.sh
URL: http://svn.digium.com/view/asterisk/team/group/autoconf_and_menuselect/bootstrap.sh?rev=19809&r1=19808&r2=19809&view=diff
==============================================================================
--- team/group/autoconf_and_menuselect/bootstrap.sh (original)
+++ team/group/autoconf_and_menuselect/bootstrap.sh Thu Apr 13 11:13:05 2006
@@ -1,11 +1,20 @@
 #!/bin/sh
+
+check_for_app() {
+	$1 --version 2>&1 >/dev/null
+	if [ $? != 0 ]
+	then
+		echo "Please install $1 and run bootstrap.sh again!"
+		exit 1
+	fi
+}
+
+check_for_app aclocal
+check_for_app autoconf
+check_for_app autoheader
+check_for_app automake
 
 aclocal
 autoconf
 autoheader
-echo
-echo "****************************************************"
-echo "* Ignore the errors generated by the next command! *"
-echo "****************************************************"
-echo
-automake --add-missing --copy
+automake --add-missing --copy 2>/dev/null



More information about the asterisk-commits mailing list